docker_build_image:
  image: docker:stable
  before_script:
    - export TAG=$DOCKER_REGISTRY/hipster-shop/$CI_PROJECT_NAME
  services:
    - name: docker:dind
      alias: thedockerhost
  variables:
    DOCKER_HOST: tcp://thedockerhost:2375/
    DOCKER_DRIVER: overlay2
    DOCKER_TLS_CERTDIR: ""
  script:
    - docker login -u $DOCKER_REGISTRY_LOGIN -p $DOCKER_REGISTRY_PASSWORD $DOCKER_REGISTRY
    - docker build --pull -t $TAG .
    - docker push $TAG
